net.sf.jasperreports.engine

## Interface JRAnchor

- All Known Subinterfaces:
    ChartSettings, JRChart, JRImage, JRTextField
  All Known Implementing Classes:
    FillChartSettings, JRBaseChart, JRBaseImage, JRBaseTextField, JRDesignChart, JRDesignImage, JRDesignTextField, JRFillChart, JRFillImage, JRFillTextField, StandardChartSettings

      public interface JRAnchor

  An interface providing anchor functionality. It must be implemented by elements that can contain anchors for hyperlinks.

  If present in a text field or image element declaration, the `<anchorNameExpression>` tag (see `getAnchorNameExpression()`) transforms that particular text field or image into a local anchor of the resulting document, to which hyperlinks can point. The anchor will bear the name returned after evaluation of the anchor name expression, which should always return `java.lang.String` values.
  Version:
    $Id: JRAnchor.java 7050 2014-04-25 11:09:07Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRHyperlink`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_BOOKMARK` Value of the bookmark level that indicates that no bookmark should be created for the anchor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRExpression` | `getAnchorNameExpression()` Returns an expression whose value represents the anchor name.
    `int` | `getBookmarkLevel()` Returns the level of the bookmark corresponding to the anchor.

- - ### Field Detail

    - #### NO_BOOKMARK

          static final int NO_BOOKMARK

      Value of the bookmark level that indicates that no bookmark should be created for the anchor.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAnchorNameExpression

          JRExpression getAnchorNameExpression()

      Returns an expression whose value represents the anchor name.

    - #### getBookmarkLevel

          int getBookmarkLevel()

      Returns the level of the bookmark corresponding to the anchor.
      Returns:
        the level of the bookmark corresponding to the anchor (starting from 1) or `NO_BOOKMARK` if no bookmark should be created for this anchor

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com